uuid: fbd2518b-7417-4bd5-9c89-a9215a6aacd9
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_color
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: Color
source:
  plugin: d7_color
  constants:
    config_prefix: color.theme.
process:
  theme_installed:
    -
      plugin: skip_on_empty
      source: theme_installed
      method: row
  element_name:
    -
      plugin: explode
      source: name
      delimiter: _
    -
      plugin: extract
      index:
        - 2
  screenshot:
    -
      plugin: static_map
      source: '@element_name'
      bypass: true
      map:
        screenshot: false
    -
      plugin: skip_on_empty
      method: row
  theme_name:
    -
      plugin: explode
      source: name
      delimiter: _
    -
      plugin: extract
      index:
        - 1
  configuration_name:
    -
      plugin: concat
      source:
        - constants/config_prefix
        - '@theme_name'
  value:
    -
      plugin: get
      source: value
destination:
  plugin: color
migration_dependencies:
  required: {  }
  optional: {  }
